Bug 252568

Summary: Whole day event added in Google calendar takes two days in KOrganizer
Product: [Frameworks and Libraries] Akonadi Reporter: Vojtěch Zeisek <Vojtech.Zeisek>
Component: GoogleData ResourceAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: amrecio, jacek.kosek, kdepim-bugs, martin, savagobr, smartins, thijsheus, vkrause
Priority: NOR    
Version: 1.0.0   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Event how I see it in KOrganizer

Description Vojtěch Zeisek 2010-09-27 18:31:30 UTC
Version:           4.4.5 (using KDE 4.4.5) 
OS:                Linux

When I add new one day event in Google calendar or in Android smartphone, the event takes 2 days in KOrganizer - the original day + one more. The same happens when the event is longer (then I see it in KOrganizer as # of days + 1). I use Akonadi Google Resource to work with my Google calendar.

Reproducible: Always




OS: Linux (x86_64) release 2.6.34.7-0.3-desktop
Compiler: gcc
Comment 1 Sergio Martins 2010-10-02 14:07:03 UTC
Can you paste the ical event here?
Comment 2 Vojtěch Zeisek 2010-10-03 17:32:03 UTC
Created attachment 52200 [details]
Event how I see it in KOrganizer
Comment 3 Martin Brodbeck 2010-10-12 12:24:49 UTC
I can confirm the bug with KOrganizer 4.4.6 (Kubuntu 10.10).
Comment 4 Sergio Martins 2010-10-12 20:12:16 UTC
KOrganizer is displaying correctly what it gets from akonadi_gcal_resource.

Adenilson, please have a look.
Comment 5 Alvaro Manuel Recio Perez 2010-10-14 12:03:53 UTC
I can confirm that this also happens when an event spans several days and that the problem belongs to Akonadi. The same event is (correctly) displayed as lasting 3 days when using a traditional iCal resource but it is shown as (incorrectly) spanning four days when accessed though an Akonadi resource.
Comment 6 Thijs Heus 2010-10-17 20:02:13 UTC
I can confirm also the reverse behaviour: If I make a 2 day appointment in KOrganizer, it will be a 1 day appointment in Google Calendar.
That was true for at least openSuse 11.2 and 11.3, and now also for Kubuntu 10.10
Comment 7 Jacek Kosek 2010-10-20 15:09:18 UTC
I can also confirm that, KOrganizer add another "extra" day in full day task in gcal.
Comment 8 Sergio Martins 2011-01-21 16:33:10 UTC
SVN commit 1216148 by smartins:

KCal::Event::dtEnd() is inclusive, not exclusive.

This is an important detail for all-day events.
BUG: 252568


 M  +13 -2     gcalresource.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1216148
Comment 9 Sergio Martins 2011-01-21 16:46:30 UTC
SVN commit 1216151 by smartins:

Fixed some more places that assumed that KCal::Event::dtEnd() was exclusive instead of inclusive.

BUG: 252568
CCBUG: savagobr@yahoo.com


 M  +12 -0     gcalresource.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1216151